Question Comment puis-je installer Adobe AIR?


Je suis un gros utilisateur de certaines applications construites sur AIR.

Il semble que AIR ait cessé de prendre en charge Linux. Même les anciennes versions des archives Adobe AIR semblent ne prendre en charge que les distributions Linux 32 bits et je suis actuellement sur 64 bits.

Y a-t-il même une légère possibilité que je puisse exécuter AIR dans ces conditions? Si oui, pouvez-vous s'il vous plaît me dire où puis-je obtenir une installation détaillée étape par étape pour cela?


153
2017-12-13 14:51


origine


Notez que Adobe a mis fin au support pour AIR sous Linux. Adobe abandonne également les technologies héritées telles que Flash et AIR pour se tourner vers HTML5, qui est l’avenir. - Anonymous
J'ai installé Adobe Air à partir du fichier .deb en format oneric - Tachyons


Réponses:


J'ai besoin d'Air pour environ trois programmes - YNAB, LongTailPro, Xtend:

  1. Téléchargez la dernière version Air 2.6.0 pour Linux sur votre bureau:

  2. Ctrl + Alt + T pour ouvrir le terminal

  3. sudo apt-get install ia32-libs  - (ordures 32 bits si vous voulez exécuter cela dans x64 Ubuntu; si vous avez des problèmes, voir "Cela dépend: ia32-libs-multiarch mais ce n'est pas installable" - Solution)

  4. cd Desktop (changez le répertoire en répertoire du bureau)

  5. chmod +x AdobeAIRInstaller.bin (changer de mode - exécuter la permission oui)

  6. ./AdobeAIRInstaller.bin (après avoir accepté la licence Adobe Air, il vous demandera votre mot de passe; il doit disposer d'un accès root pour pouvoir être installé)

Peut-être que vous aurez une erreur après la dernière commande?

Désolé, une erreur s'est produite. Adobe AIR n'a pas pu être installé. Installez Gnome Keyring ou KDE KWallet avant d'installer Adobe AIR.

Cela peut être corrigé:

  • Dans un terminal (raccourci par défaut: Ctrl + Alt + T), tapez:

    locate libgnome-keyring.so
    
  • Ceci est mon résultat (le vôtre pourrait être différent):

    /usr/lib/x86_64-linux-gnu/libgnome-keyring.so.0
    /usr/lib/x86_64-linux-gnu/libgnome-keyring.so.0.2.0
    
  • Comme suggéré ci-dessous par @jmendeth, la manière la plus simple de dire à l'installateur où trouver ces fichiers est d'utiliser LD_LIBRARY_PATH:

    • Pour Ubuntu 32 bits (testé le 12.04):

      LD_LIBRARY_PATH=/usr/lib/i386-linux-gnu ./AdobeAIRInstaller.bin
      
    • Pour Ubuntu 64 bits, la ligne de commande serait probablement:

      LD_LIBRARY_PATH=/usr/lib/x86_64-linux-gnu ./AdobeAIRInstaller.bin
      

Si le truc LD_LIBRARY_PATH ne fonctionne pas, vous pouvez essayer ceci:

  • Créez un lien symbolique vers vos chaînes de localisation trouvées avec les commandes précédentes:

    sudo ln -s /usr/lib/x86_64-linux-gnu/libgnome-keyring.so.0 /usr/lib/libgnome-keyring.so.0
    sudo ln -s /usr/lib/x86_64-linux-gnu/libgnome-keyring.so.0.2.0 /usr/lib/libgnome-keyring.so.0.2.0
    
  • Utilisez les commandes suivantes pour les systèmes 32 bits:

    sudo ln -s /usr/lib/i386-linux-gnu/libgnome-keyring.so.0 /usr/lib/libgnome-keyring.so.0
    sudo ln -s /usr/lib/i386-linux-gnu/libgnome-keyring.so.0.2.0 /usr/lib/libgnome-keyring.so.0.2.0
    
  • Répétez ensuite les étapes 4 et 6 (passez 5, car l'autorisation d'exécuter le fichier n'a pas changé).

  • Supprimez les liens symboliques après l'installation d'Adobe AIR 2.6.0:

    sudo rm /usr/lib/libgnome-keyring.so.0
    sudo rm /usr/lib/libgnome-keyring.so.0.2.0
    

Référence:


225
2018-04-09 02:26



Génial! Il est installé Maintenant, si je peux seulement installer un package AIR ... - BrianXP7
Ne respecte-t-il pas l'AIR LD_LIBRARY_PATH? Je demandais juste' - Alba Mendez
J'ai créé un compte juste pour augmenter ce +1 - Paul Bellora
Je ne peux pas peut-être vous +1 assez. - Jonah
Cela ne fonctionne pas pour moi sur Xubuntu 13.10. sudo apt-get install ia32-libs Le paquet ia32-libs n'est pas disponible, mais est référencé par un autre paquet. Cela peut signifier que le package est manquant, obsolète ou disponible uniquement à partir d'une autre source. Cependant, les paquets suivants le remplacent: lib32asound2 lib32z1 lib32ncurses5 lib32bz2-1.0 ./AdobeAIRInstaller.bin /tmp/air.kmEATV/setup: erreur lors du chargement des bibliothèques partagées: libgtk-x11-2.0.so.0: impossible d'ouvrir le fichier objet partagé: non tel fichier ou répertoire - Slava Fomin II


Ubuntu 13.10, 14.04, 15.04 et 15.10 (64 bits)

  1. Installez les bibliothèques i386 requises pour une installation et une exécution réussies des applications Adobe Air et air.

    sudo apt-get install libxt6:i386 libnspr4-0d:i386 libgtk2.0-0:i386 libstdc++6:i386 libnss3-1d:i386 lib32nss-mdns libxml2:i386 libxslt1.1:i386 libcanberra-gtk-module:i386 gtk2-engines-murrine:i386
    
  2. Installer libgnome-keyring0:i386 paquet.

    sudo apt-get install libgnome-keyring0:i386
    
  3. Créez des liens symboliques vers gnome-keyring pour qu'Adobe Air puisse les voir.

    sudo ln -s /usr/lib/x86_64-linux-gnu/libgnome-keyring.so.0 /usr/lib/libgnome-keyring.so.0
    
    sudo ln -s /usr/lib/x86_64-linux-gnu/libgnome-keyring.so.0.2.0 /usr/lib/libgnome-keyring.so.0.2.0 
    
  4. Téléchargez le programme d'installation d'Adobe Air depuis ici.

  5. Autorisez l'exécution, puis exécutez ce fichier .bin.

    sudo chmod +x AdobeAIRInstaller.bin
    sudo ./AdobeAIRInstaller.bin
    

La source

Note pour Ubuntu 16.04 (64 bit)

Pour Ubuntu 16.04 et supérieur, installez le paquet libnss-mdns:i386 au lieu du paquet lib32nss-mdns. Cela résoudra le problème de "Package not found error" lié à ce package.


43
2018-03-28 23:36



Celui-ci fonctionne également pour 14.04 - adosaiguas
Bon à savoir .. je mettrai à jour ma réponse. - Avinash Raj
Cela fonctionne également pour 15.04 (64 bits). Merci. - Dmitry Wojciechowski
Fonctionne également pour 15.10 (j'utilise la version de développement) - Yana Agun Siswanto
16.04, a eu une erreur lib32nss-mdns manquait. Lorsque l'installateur a ouvert Gtk-Message: Failed to load module "overlay-scrollbar" Gtk-Message: Failed to load module "gail" Gtk-Message: Failed to load module "atk-bridge". Semble avoir installé correctement. Mais l'application dont j'avais besoin pour AIR a besoin d'une version plus récente: / - raphael


Alternativement, vous pouvez installer un .deb pré-construit

Il y a air 2.6 (dernier Linux supporté) disponible ici pour les deux architectures (les deux utilisent 32 bits en dessous mais au moins cela fonctionne). Grâce à prusswan pour le signaler

Assurez-vous d'avoir des librairies 32 bits dont vous aurez besoin:

sudo apt-get install ia32-libs

J'ai téléchargé celui d'AMD64 (adobeair_2.6.0.19170_amd64.deb) et installé sur mon ordinateur (am64 avec Precise Pangolin 12.04)

sudo dpkg -i adobeair_2.6.0.19170_amd64.deb

Ensuite, j'ai installé l'application qui nécessitait Adobe Air en premier lieu et cela a fonctionné.

Mise à jour pour Ubuntu 13: 10+,

Essayer cette technique, je reçois "Le paquet ia32-libs-gtk n'est pas installé"

J'ai levé les yeux le paquet et essayé d'installer ces dépendances et autres paquets connexes que je peux penser directement:

sudo apt-get install gtk2-engines:i386 libart-2.0-2:i386 libcairo2:i386 libcanberra-gtk0:i386 libdatrie1:i386 libgail-common:i386 libgconf2-4:i386 libgtk2.0-0:i386 liblua5.1-0:i386 libpango1.0-0:i386 libpixman-1-0:i386 libqt4-network:i386 libqt4-test:i386 libqtcore4:i386 libthai0:i386 libbonobo2-0:i386 libglade2-0:i386 libgnomecanvas2-0:i386 libidl0:i386 liborbit2:i386 libwmf0.2-7:i386 gtk2-engines-murrine:i386

Mais cela n'a pas fonctionné pour le deb ou binaire original.


18
2018-05-29 19:56



J'ai cherché sur Internet haut et bas et votre lien d'installation est le seul qui a fonctionné. Note aux futurs visiteurs: si vous utilisez AdobeAIRInstaller.bin et obtenez un Gtk WARNING **: cannot open display: erreur, essayez ceci! - eleanor.mal
c'est beaucoup plus facile que jeffhendricks.net/?p=68 - realgt
Creuser un peu plus loin que nora et trouvé la réponse concernant le problème "ne peut pas ouvrir l'affichage". Le problème est que l'utilisateur root ne peut pas se connecter à l'affichage X dans Ubuntu (avec les paramètres par défaut), mais nous devons exécuter notre programme d'installation en tant que root (fail-design). Installez d'abord sux (switchuser avec les identifiants X). Autoriser l'utilisateur root à se connecter à l'affichage X Obtenir les paramètres d'affichage actuels. Ensuite, utilisez sux pour basculer vers l'utilisateur root. Exécutez le programme d'installation avec les paramètres d'affichage. 1. sudo apt-get install sux 2. /usr/bin/xhost + 3. echo $DISPLAY (utilisez ceci à l'étape 5) 4. sudo sux - 5. DISPLAY=:0.0 ./AdobeAIRInstaller.bin - Nicholi


Ubuntu 14.04 - 32 et 64 bits - installation facile de .deb

En raison de la façon dont fonctionne multiarch, vous pouvez maintenant simplement installer le fichier .deb i386 sur Ubuntu 64 bits plus récent et il installera automatiquement les bonnes dépendances. (Aussi le .deb 64 bit est juste le 32bit repackaged avec une dépendance sur ia32-libs)

  1. Téléchargez le 32 bit (oui même pour votre Ubuntu 64 bits) deb: http://update.devolo.com/linux/apt/pool/main/a/adobeair/adobeair_2.6.0.19170-devolo1_i386.deb (Merci à la réponse de yuvilio) Le package 64 bits sur le même site est une version reconditionnée du 32 bits, vous aurez des problèmes si vous utilisez le package 64 bits à la place, utilisez le package 32 bits pour les systèmes 32 et 64 bits Ubuntu 13.10+.

  2. Ouvrir dans le centre logiciel, cliquez sur Installer

    enter image description here Ignorer l'avertissement concernant la qualité du paquet


Alternativement, si vous avez un jeu Steam qui nécessite Air, installez et lancez simplement ce jeu et il installera Air sur la première partie du jeu.

Exemples de jeux utilisant Air:

  • Defenders Quest
  • Anodyne (se confond si vous avez déjà installé Air, exécutez sudo apt-get remove adobeair et essayez à nouveau l'installateur du jeu avec Air)

Je les ai trouvés pendant un Vente Humble Hebdomadaire pour soutenir certains projets open source.


13
2018-03-30 11:46





Étape 1: Obtenez de l'air Ensuite, téléchargez le fichier Adobe Air .bin (lien direct ici).

Étape 2: installation

Ouvrez un terminal (applications> Accessoires> Terminal) et accédez à votre dossier Téléchargements (ou au dossier dans lequel vous avez enregistré le fichier .bin).

* cd Download/

Nous devons laisser le fichier .bin avoir les autorisations d’installation, alors entrez la commande suivante avec précaution: -

* chmod +x AdobeAIRInstaller.bin

Maintenant, installons-le:

* ./AdobeAIRInstaller.bin

L’installation devrait cependant être rapide et, si tout se passe bien, une nouvelle entrée de menu apparaîtra dans ‘Applications> Accessoires’ intitulée ‘Adobe Air Application Installer’.


6
2018-01-10 04:14



Cela ne fonctionne pas sur Ubuntu 13.10 x64 - Paul Gregoire


... enfin après quelques problèmes et après de nombreuses recherches sur ce forum, Google et les autres pages ont réussi à le faire. Tout d'abord, je veux remercier la communauté qui m'a donné plus d'ambition de le faire, que de me laisser arrêter d'installer AdobeAir.

Tout le problème était le paquet ia32-libs(Le paquet ia32-libs était un hack pour installer des paquets 32 bits sur une installation 64 bits. Depuis Ubuntu version 11.10 (Oneiric), Multi Arch a été ajouté. L'un des objectifs est de supprimer le package ia32-libs) ... package que Canonical a décidé de mettre fin au support pour cela.

Tout ce que je devais faire pour installer ia32-libs le paquet devait ajouter ce repo:

1- ''deb http://archive.ubuntu.com/ubuntu/ source multiversepackage de l'univers restreint raring''

J'ai suivi les étapes de ce tutoriel simple et rapide:

http://wiki.phoenixviewer.com/ia32-libs-in-ubuntu-13-10

2- alors cette page qui me mène à cette belle étapes d'installation d'Adobe Air pour les systèmes 64 bits

www.thepowerbase.com/2013/06/how-to-install-adobe-air-in-ubuntu-13-04/

-----------------documentation que j'ai utilisée:---------------

www.askubuntu.com/questions/87447/how-can-i-install-adobe-air
helpx.adobe.com/air/kb/archived-air-sdk-version.html
www.wiki.phoenixviewer.com/ia32-libs-in-ubuntu-13-10
www.ubuntuforums.org/showthread.php?t=2181649
www.askubuntu.com/questions/91815/how-to-install-software-or-upgrade-from-old-    unsupported-release  

P.S. --- comme noté par Alvar, Adobe Air pour Linux n'est plus supporté ---


4
2017-11-06 09:08



Consultez ce lien. Cela a bien fonctionné. tkalin.com/blog_posts/… - Michael Mikowski
@MichaelMikowski Votre lien m'a aidé. Les liens ci-dessus ne contenaient pas de solution de bibliothèque de copie manuelle qui ne pouvait pas être installée. Après cela, j'ai installé AdobeAir. - ubuntico


Malheureusement, plusieurs années de retard "Adobe AIR pour Linux n'est plus pris en charge". suivant ce que dit la page adobe. L'utilisation de "l'archive AIR" est possible pour obtenir des versions non prises en charge, la version 2.6.0 étant la plus récente disponible. Si vous devez installer un programme nécessitant une version plus récente, vous pouvez accéder à Virtual box avec un invité Windows.

Les étapes recommandées pour Ubuntu 16.10:

pour machine 32 bits

wget -O adobe-air_i386.deb http://drive.noobslab.com/data/apps/AdobeAir/adobeair_2.6.0.2_i386.deb
sudo dpkg -i adobe-air_i386.deb
sudo apt-get install -f && rm adobe-air_i386.deb

pour machine 64 bits

wget -O adobe-air_amd64.deb http://drive.noobslab.com/data/apps/AdobeAir/adobeair_2.6.0.2_amd64.deb
sudo dpkg -i adobe-air_amd64.deb
sudo apt-get install -f && rm adobe-air_amd64.deb

Les étapes recommandées pour Ubuntu 16.04 / 14.04 / 12.04 / Linux Mint 18/17/13 (toutes deux extraites de ici):

wget -O adobe-air.sh http://drive.noobslab.com/data/apps/AdobeAir/adobe-air.sh
chmod +x adobe-air.sh;sudo ./adobe-air.sh

1
2018-03-30 17:53





J'ai Ubuntu 14.04 64-bit. La seule façon d'installer Adobe Air qui a fonctionné pour moi était de suivre la première partie de ces instructions pour installer Balsamiq sur Ubuntu, ce que j'essayais de faire en premier lieu.

Un bref résumé de ces instructions: - Télécharger ce programme d'installation Adobe Air - Installation du paquetage libgtk 32 bits (mais j'ai ignoré cette étape, cela ne fonctionnait pas pour moi et ne semblait pas nécessaire) - Création de liens symboliques vers deux fichiers libgnome-keyring - Rendre l'exécutable du programme d'installation d'Adobe Air et l'exécuter avec sudo


0
2018-01-29 22:46